%define version	0.3.0
%define release	%mkrel 1

%define scim_version	1.4.0

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-skk
Summary:	Scim-skk is an SCIM IMEngine module for skk
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.jp/projects/scim-imengine/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}
Requires:			scim >= %{scim_version}
Requires:			skkdic
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake1.8, libltdl-devel

%description
Scim-skk is an SCIM IMEngine module for skk.
It supports Japanese input.


%package -n %{libname}
Summary:	Scim-skk library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-skk library.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
# force to regenerate ltmain.sh
set -x
aclocal-1.9 -I m4
autoheader
libtoolize -c --automake 
automake --add-missing --copy --include-deps
autoconf

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README README.ja
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so


%changelog
* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-1mdk
- new release

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-4mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-2mdk
- rebuild for new scim
- %%mkrel

* Wed Apr 06 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2.20050308.1mdk
- latest snapshot (fix resizing the candidate window)

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-2.20050217.3mdk
- rebuild for new scim

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-2.20050217.2mdk
- fix requires
- rebuild for broken rpmctl

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2.20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- spec cleanup

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release
- fix build with new automake

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- first spec
- fix rpmlint warnings (tv)
